org.apache.maven.scm.command.remoteinfo

## Class AbstractRemoteInfoCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.remoteinfo.AbstractRemoteInfoCommand

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  GitRemoteInfoCommand, SvnRemoteInfoCommand

    public abstract class AbstractRemoteInfoCommand
    extends AbstractCommand

Since:
  1.6
Author:
  Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AbstractRemoteInfoCommand()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected ScmResult` `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`abstract RemoteInfoScmResult` `executeRemoteInfoCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractRemoteInfoCommand

    public AbstractRemoteInfoCommand()

### Method Detail

#### executeRemoteInfoCommand

    public abstract RemoteInfoScmResult executeRemoteInfoCommand(ScmProviderRepository repository,
                                                                 ScmFileSet fileSet,
                                                                 CommandParameters parameters)
                                                          throws ScmException

Throws:
  `ScmException`

#### executeCommand

    protected ScmResult executeCommand(ScmProviderRepository repository,
                                       ScmFileSet fileSet,
                                       CommandParameters parameters)
                                throws ScmException

Specified by:
  `executeCommand` in class `AbstractCommand`
Throws:
  `ScmException`